#!/bin/sh

log_exit(){
	echo $2
	exit $1
}

[ -z "$ED_USER_NAME" ] && log_exit 1 "Credentials are not set. $0 aborted"

if "$(pwd)/target/bin/elephantdrive" -v "AppRoot=$(pwd)" "ServiceBackend=$ED_SERVICE_BACKEND" "UserName=$ED_USER_NAME" "HashedPassword=$ED_HASHED_PASSWORD" cli selftest ; then
	[ -f $ED_PRE_UPGRADE_SCRIPT ] && ($ED_PRE_UPGRADE_SCRIPT || log_exit 4 "Pre-upgrade script failed")
	cp -rf $(pwd)/* $ED_APP_ROOT || log_exit 4 "Copy error"
else
	log_exit 4 "Test run error"
fi
log_exit 0 "Upgrade successfull"
